from netbox.plugins import PluginConfig

class NetBoxYConfig(PluginConfig):
    name = "netbox_tag_id"                     
    verbose_name = "Tag ID"
    version = "0.1.0"
    description = "Adds custom fields 'Tag ID'."
    author = "ARCO - Sasha De Oliveira"
    base_url = "netbox_tag_id"
    min_version = "4.4.0"
    max_version = "5.0.0"
    required_settings = []
    default_settings = {}

    def ready(self):
        from extras.models import CustomField
        from .cf_types import ExtendedCustomFieldTypeChoices
        field = CustomField._meta.get_field("type")
        field.choices = ExtendedCustomFieldTypeChoices.CHOICES

        from . import cf_forms, forms, signals
        
        super().ready()


config = NetBoxYConfig
